Skip to Content
veriom

Update workspace feature flag

PUT
/v1/workspaces/{workspace_id}/feature-flags/{key}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
key*Key

Request Body

application/json
  1. body
enabled*Enabled
expires_at?|null
reason*Reason
Length3 <= length <= 1000

Response Body

Successful Response

application/json
  1. response
configured*Configured
description*Description
enabled*Enabled
expires_at?|null
key*FeatureFlagKey
Value in"evidence_envelopes""connector_platform""connector_jira""continuous_audits""finding_lifecycle""control_room""discovery""source_graph""collaborative_remediation""compliance_libraries""enterprise_identity""model_resilience""model_cost_tuning""legacy_import""architecture_intent""architecture_intent_enforcement"
label*Label
plan*Plan
reason?string|null
required*Required
updated_at?|null
updated_by?|null
updated_by_operator?string|null
Example Request
curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/feature-flags/string' \  -H 'Content-Type: application/json' \  -d '{  "enabled": true,  "reason": "string"}'
Example Response
{  "configured": true,  "description": "string",  "enabled": true,  "expires_at": "2019-08-24T14:15:22Z",  "key": "evidence_envelopes",  "label": "string",  "plan": "string",  "reason": "string",  "required": true,  "updated_at": "2019-08-24T14:15:22Z",  "updated_by": "deea00dc-b6b6-4412-a483-26ac61e1f6fe",  "updated_by_operator": "string"}